Lazada

Lazada Search Results Scraper

Scrape product listings, prices, and e-commerce data using the Lazada Search Results Scraper API endpoint.

This endpoint scrapes product data from Lazada's search results page using the provided search URL.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/lazada/cbc/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Lazada search results URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/lazada/cbc/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.lazada.co.id/catalog/?page=2&price=-700000&q=Birkenstock"  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "templates": [],
    "mods": {
      "filter": {
        "tItemType": "nt_filter",
        "filterItems": [],
        "filteredQuatity": "2924",
        "filteredDoneText": "Product",
        "title": "Search Filter",
        "pos": 0
      },
      "listItems": [
        {
          "name": "BIRKENSTOCK MAYARI / SANDAL BIRKENSTOCK MAYARI UNISEX",
          "nid": "8678080103",
          "itemId": "8678080103",
          "icons": [],
          "image": "https://filebroker-cdn.lazada.co.id/kf/S29276a03c62441ffb58091c842c9af5a6.jpg",
          "isSmartImage": false,
          "originalPriceShow": "",
          "priceShow": "Rp495.000",
          "ratingScore": "5.0",
          "review": "1",
          "location": "Kota Jakarta Utara",
          "thumbs": [],
          "sellerName": "DUNIA SNEAKER",
          "sellerId": "401196496254",
          "brandName": "birkenstock",
          "brandId": "18229",
          "cheapest_sku": "8678080103_ID-16116756104",
          "skuId": "16116756104",
          "sku": "8678080103_ID",
          "categories": [
            18021
          ],
          "price": "495000",
          "restrictedAge": 0,
          "inStock": true,
          "itemSoldCntShow": "5 sold",
          "longImageDisplayable": false,
          "skus": [],
          "promotionId": "",
          "isSponsored": false,
          "tItemType": "nt_product",
          "skuType": "2",
          "adFlag": "0",
          "isFission": "0",
          "isBadgeAutoScroll": false,
          "showCart": false,
          "showBackIcon": false,
          "showUnitPrice": false,
          "itemUrl": "//www.lazada.co.id/products/pdp-i8678080103.html"
        }
      ],
      "breadcrumb": [
        {
          "title": "Home"
        }
      ],
      "resultTips": {
        "tItemType": "nt_resulttips",
        "tips": "2924 items found for \"{$0}\"",
        "keywords": []
      },
      "linksInfo": []
    },
    "mainInfo": {
      "errorMsg": "",
      "bizCode": 0,
      "totalResults": "2924",
      "pageSize": "40",
      "page": "2",
      "hiddenLayoutBtn": false,
      "pageType": "searchList",
      "gridTitleLine": "2",
      "trackParams": {},
      "userId": "",
      "cate_id": "",
      "currency": "Rp",
      "currencyOnRight": "false",
      "currencySpace": "false",
      "column": 2,
      "auctionType": 1,
      "noMorePages": false,
      "srpName": "LazadaMainSrp",
      "searchScenario": "keyword",
      "q": "Birkenstock",
      "style": "wf",
      "title": "Birkenstock",
      "lang": "en",
      "venture": "ID"
    },
    "seoInfo": {
      "pageTitle": "Birkenstock - Harga & Promo Terbaik | Lazada Indonesia",
      "description": "Cari Birkenstock? Lazada Indonesia adalah tempat berkumpulnya toko lokal dan internasional tepercaya!",
      "robotsContent": "index,follow",
      "canonicalHref": "/catalog/?q=birkenstock"
    }
  }
}